Foreman - Bug #14096

Statistics page reports: Unknown string: "994.52 MiB"
03/08/2016 09:28 AM - Rob Sanders

Status: Closed
Priority: Normal
Assignee: Rob Sanders
Category: Statistics
Target version: 1.11.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.11.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3292
Description
RuntimeError: Unknown string: "994.52 MiB"!

/usr/share/foreman/lib/core_extensions.rb:148:in “rescue in to_gb'
/usr/share/foreman/lib/core_extensions.rb:137:in “to_gb'
/usr/share/foreman/app/models/fact_value.rb:100:in “block in to_gb'

| /opt/rh/rh-ror4l/root/usr/share/gems/gems/activerecord-4.1.5/1lib/active_record/relation/delegat
ion.rb:46:in “map'

| /opt/rh/rh-rord4l/root/usr/share/gems/gems/activerecord-4.1.5/1ib/active_record/relation/delegat
ion.rb:46:in “map'

| /usr/share/foreman/app/models/fact_value.rb:99:in "to_gb'

| /usr/share/foreman/app/models/fact_value.rb:57:in “mem_average'

| /opt/rh/rh-rord4l/root/usr/share/gems/gems/activerecord-4.1.5/1ib/active_record/relation/delegat
ion.rb:94:in “public_send'

| /opt/rh/rh-ror4l/root/usr/share/gems/gems/activerecord-4.1.5/1lib/active_record/relation/delegat
ion.rb:94:in “block in method_missing'

| /opt/rh/rh-rord4l/root/usr/share/gems/gems/activerecord-4.1.5/1ib/active_record/relation.rb:285:
in "scoping'

| /opt/rh/rh-ror4l/root/usr/share/gems/gems/activerecord-4.1.5/1ib/active_record/relation/delegat
ion.rb:94:in "method_missing'

| /usr/share/foreman/app/controllers/statistics_controller.rb:9:in "index'

Associated revisions

Revision b24feca2 - 03/09/2016 09:48 AM - Rob Sanders

fixes #14096 - handle MiB style memory units on statistics page

Revision 6d97be8e - 04/18/2016 01:45 PM - Rob Sanders

fixes #14096 - handle MiB style memory units on statistics page

(cherry picked from commit b24feca26d2f7b3f9bfb6a40680446ccebb3d44b)

History

#1 - 03/08/2016 09:32 AM - Dominic Cleal

- Description updated

- Category set to Statistics

- Status changed from New to Ready For Testing
- Assignee set to Rob Sanders

- Pull request https://github.com/theforeman/foreman/pull/3292 added

#2 - 03/09/2016 10:04 AM - Rob Sanders
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
Applied in changeset b24feca26d2f7b3f9bfb6a40680446ccebb3d44b.

#3 - 03/09/2016 10:37 AM - Dominic Cleal

- translation missing: en.field_release set to 141

05/17/2024 22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/b24feca26d2f7b3f9bfb6a40680446ccebb3d44b
http://www.tcpdf.org

